How do I make Android Developer Tools work with the eclipse that comes with Quantal

Asked by Aaron Peromsik on 2012-10-31

I have been using the ADT plugins with eclipse from universe in 12.04 and earlier releases. After upgrading to 12.10, ADT no longer works. I tried deleting my ~/.eclipse directory and reinstalling ADT; I also tried installing ADT as root, as suggested in one Ask Ubuntu answer. No matter what I do, the Android-related buttons (SDK manager, for example) don't seem to show up in eclipse.

Running Quantal amd64 on a Dell Inspiron 1545. ADT installed as described here: http://developer.android.com/sdk/installing/installing-adt.html

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu eclipse Edit question
Assignee:
No assignee Edit question
Last query:
2012-10-31
Last reply:
2012-11-01
Aaron Peromsik (aperomsik) said : #2

Thanks, but I don't see the word "eclipse" from that page. I already have the Android SDK installed. I updated it but it didn't help.

I have verified that everything works fine if I download eclipse directly from eclipse.org -- but I thought the point of having packages in Ubuntu was so that people don't have to do that.

Aaron Peromsik (aperomsik) said : #4

Once again you have utterly missed the point of my question. You have linked to an article describing how to install eclipse from eclipse.org. I want to know why it stopped working with the eclipse included in ubuntu repos. Maybe I should have made this a bug report instead of a question?

samuel (samuel-h) said : #5

There's no difference between the eclipse in the repos and the eclipse from eclipse.org as far as I know, the one in the repos is just zipped up and given some basic packaging information.

Aaron Peromsik (aperomsik) said : #6

Then why is it that the downloaded one works with ADT and the one in the repos doesn't? (The one in the repos for 12.04 worked fine.)

samuel (samuel-h) said : #7

No idea, and if the downloaded one works fine is there a reason you're not using that. (Sorry, I realise I'm not being very helpfull, but I can't think of any reason why this would happen), so yes, a bug report should probably be the way to go.

Felix Martens (felix-martens) said : #8

Hello,

i just wanted to confirm that you are not alone. I also updated from precise to quantal. My ADT-Plugin stopped working. I tried reinstalling ADT,reinstalling eclipse, clearing ~./eclipse with no luck.

I'm dowloading eclipse from the website right now, but I agree that if there is a package in the repositories it should work. I wonder if its some kind of java version problem?

Can you help with this problem?

Provide an answer of your own, or ask Aaron Peromsik for more information if necessary.

To post a message you must log in.